## ExternalFrameSyncGPIO0.py
##
## revision 1.0 6/13/17
##
########www.ti.com Appendix
print "\n"
import time
#GPIO0 External Frame Sync on 953
#Note: Script assumes Frame Sync Signal is applied to GPIO0 on DES
# Define 954 and 953 Addresses
UB953 = 0x18 #953 SER Alias ID, check 0x5C on 954 for confirmation
UB954 = 0x60 #954 Device ID, check 0x00 on 954 for confirmation
# Alias ID of SER
board.WriteI2C(UB954,0x5C,0x18)
# Port Select to enable writes
board.WriteI2C(UB954,0x4C,0x01)
# Enable GPIO0-3 as outputs on 953
board.WriteI2C(UB953,0x0E,0xF0)
# Enable Remote of GPIO0-3 from DES
board.WriteI2C(UB953,0x0D,0xF0)
# BC GPIO Control: Link BC GPIO0 and GPIO1 to DES GPIO0
board.WriteI2C(UB954,0x6E,0x00)
# GPIO Input CTRL: Make all DES GPIOs Inputs
board.WriteI2C(UB954,0x0F,0x7F)
# FS CTL: EN FS and state External Frame Sync comes from GPIO0
board.WriteI2C(UB954,0x18,0x81)