## InternalFrameSync_GPIO1.py
##
## revision 1.0 6/13/17
##
########
print "\n"
import time
#GPIO1 Internal Frame Sync on 953
# Define 954 and 953 Addresses
UB953 = 0x18 #953 SER Alias ID, check 0x5C on 954 for confirmation
UB954 = 0x60 #954 Device ID, check 0x00 on 954 for confirmation
# Alias ID of SER
board.WriteI2C(UB954,0x5C,0x18)
# Port Select to enable writes
board.WriteI2C(UB954,0x4C,0x01)
# Enable GPIO0-3 as outputs on 953
board.WriteI2C(UB953,0x0E,0xF0)
# Enable Remote of GPIO0 and GPIO1 from DES
board.WriteI2C(UB953,0x0D,0xF0)
# BC GPIO Control: Link BC GPIO0-1 (SER GPIO0 and GPIO1) to Frame Sync
board.WriteI2C(UB954,0x6E,0xAA)
# FS CTL: Enable Frame Sync and set Internal Frame Sync for Port0
board.WriteI2C(UB954,0x18,0x01)
###### Create an aproximate 400kHz square wave for Frame Sync
# High Time
board.WriteI2C(UB954,0x1A,0x01)
# Low Time
board.WriteI2C(UB954,0x1C,0x01)