## SensorPowerOnAndReset.py
##
## revision 1.0 6/13/17
##
########
import time
# Set up Variables
UB953 = 0x30 #could be alias or device ID depending if run locally or remotely
# Set GPIO2 and GPIO3 to outputs, where GPIO2 = RESET and GPIO3 = PWDN
board.WriteI2C(UB953,0x0E,0xC0)
# Set GPIO2 and GPIO3 to High - bring OVT10640 out of power down mode
board.WriteI2C(UB953,0x0D,0x0C)
time.sleep(0.1)
# Bring GPIO3 low to place 10640 in reset
board.WriteI2C(UB953,0x0D,0x08)
time.sleep(1)
# Bring GPIO3 high again to prepare 10640 for initialization
board.WriteI2C(UB953,0x0D,0x0C)